SQ-ENCRYPT(1)

NAME
sq-encrypt - Encrypts a message

Encrypts a message for any number of recipients and with any number of passwords, optionally signing the message in the process.

The converse operation is "sq decrypt".

SYNOPSIS
sq encrypt [FLAGS] [OPTIONS] [--] [FILE]

FLAGS

-h, --help
    Prints help information

-B, --binary
    Emits binary data

-s, --symmetric
    Adds a password to encrypt with. The message can be decrypted with either one of the recipient's keys, or any password.

--use-expired-subkey
    If a certificate has only expired encryption-capable subkeys, falls back to using the one that expired last

OPTIONS

-o, --output FILE
    Writes to FILE or stdout if omitted

--recipient-cert CERT-RING
    Encrypts for all recipients in CERT-RING

--signer-key KEY
    Signs the message with KEY

--mode MODE
    Selects what kind of keys are considered for encryption. Transport select subkeys marked as suitable for transport encryption, rest selects those for encrypting data at rest, and all selects all encryption-capable subkeys. [default: all] [possible values: transport, rest, all]

--compression KIND
    Selects compression scheme to use [default: pad] [possible values: none, pad, zip, zlib, bzip2]

-t, --time TIME
    Chooses keys valid at the specified time and sets the signature's creation time

ARGS

FILE
    Reads from FILE or stdin if omitted

EXAMPLES

# Encrypt a file using a certificate
    $ sq encrypt --recipient-cert romeo.pgp message.txt

# Encrypt a file creating a signature in the process
    $ sq encrypt --recipient-cert romeo.pgp --signer-key juliet.pgp message.txt

# Encrypt a file using a password
    $ sq encrypt --symmetric message.txt

SEE ALSO
For the full documentation see <https://docs.sequoia-pgp.org/sq/>.

sq(1), sq-armor(1), sq-autocrypt(1), sq-certify(1), sq-dearmor(1), sq-decrypt(1), sq-encrypt(1), sq-inspect(1), sq-key(1), sq-keyring(1), sq-packet(1), sq-sign(1), sq-verify(1)

AUTHORS

    Azul <azul@sequoia-pgp.org>
    Igor Matuszewski <igor@sequoia-pgp.org>
    Justus Winter <justus@sequoia-pgp.org>
    Kai Michaelis <kai@sequoia-pgp.org>
    Neal H. Walfield <neal@sequoia-pgp.org>
    Nora Widdecke <nora@sequoia-pgp.org>
    Wiktor Kwapisiewicz <wiktor@sequoia-pgp.org>